#ifndef __HANAXBEE_H__
#define __HANAXBEE_H__

// ハナ XBeeクラス
class HanaXBee	: public XBee
{
public:
	enum
	{
		FRAME_ID			= 0x01,													// フレームID
	};
	
	HanaXBee(void);																	// コンストラクタ
	~HanaXBee(void);																// デストラクタ
	
	void init(HardwareSerial *pserial, const u1 *des64, const u1 *des16 );			// 初期化処理
	
	u1 TxString( const s1 *str, u1 len );											// 文字列送信処理
	u1 TxDetectInfo( u1 sw, u1 human, u1 mic, u1 hh, u1 mm, u1 ss);					// Detect Info フレーム送信処理
	u1 TxLocationInfo( u1 ns, double lat, u1 ew, double lon, u1 hh, u1 mm, u1 ss);	// Location Info フレーム送信処理
	
	void RxReceivePacket( ReceivePacket *pframe, u1 len);							// Receive Packet 受信処理

private:
	void RxTransmitStatus( TransmitStatus *pframe, u1 len);							// Transmit Status 受信処理
	void RxATCommandResponse(ATCommand *pframe, u1 len );							// AT Command送信処理
    void SetupTransmitRequest( TransmitRequest *pframe, const u1 * des64, const u1 * des16 );

	u1	m_DestAddr64[XBee::DESTADDR64BIT_SIZE];
	u1	m_DestAddr16[XBee::DESTADDR16BIT_SIZE];

	u1  m_debuglen;
	u1  m_debugtxt[256];
};

#endif
