#ifndef __HANAXBEEFRAME_H__
#define __HANAXBEEFRAME_H__

#include "XBeeFrame.h"

#define HANA_STRING_LEN		(64)

typedef struct
{
	union
	{
		u1 byte;
		struct
		{
			u1 SOS_sw:1;
			u1 Human_det:1;
			u1 Reserved:6;
		} bit;
	} detect;
	u1 Mic;
	u1 hh;
	u1 mm;
	u1 dd;
} DetectInfo;

typedef struct
{
	s1 ns;
	s1 Latitude[10];
	s1 ew;
	s1 Longitude[10];
	s1 t;
	s1 UTC[6];
} LocationInfo;

typedef struct
{
	TransmitRequest	tq;
	union
	{
		DetectInfo 		di;
		LocationInfo	li;
		s1				str[HANA_STRING_LEN];
	} data;
} HanaTxFrame;

#endif
