#ifndef __RINGBUFFER_H__
#define __RINGBUFFER_H__

// リングバッファクラス
class RingBuffer
{
public:
	enum
	{
		BUFFER_SIZE = 128,					//リングバッファサイズ
	};
	
	RingBuffer(void);						//コンストラクタ
	~RingBuffer(void);						//ストラクタ
	
	void init( void );						// 初期化
	u1 set( const u1 * data, u1 len );		// 複数データ格納処理
	u1 set( u1 data );						// 1データ格納処理
	u1 get( u1 * data, u1 len );			// 複数データ取り出し処理
	u1 get( u1 * data);						// 1データ取り出し処理
	
	inline u1 size(void) { return m_size; }	// データサイズ
	
private:
	u1 m_size;								// データサイズ
	u1 m_head;								// 有効データの先頭
	u1 m_tail;								// 有効データの終端
	u1 m_buffer[BUFFER_SIZE];				// バッファ
};

#endif
