
// APIフレーム受信処理クラス
class XBeeAPIRxFrame
{
public:
	enum
	{
		RX_SEQ_IDLE = 0,		// アイドル
		RX_SEQ_LENGTH_H,		// データ長(MSB)
		RX_SEQ_LENGTH_L,		// データ長(LSB)
		RX_SEQ_FRAME_DATA,		// データ
		RX_SEQ_FRAME_ESC,		// データ(エスケープ文字)
		RX_SEQ_CHECK_SUM,		// チェックサム
		RX_SEQ_END,				// フレーム構築完了
		// 以降はエラー要因
		RX_SEQ_ERR_LENGTH,		// データ長異常
		RX_SEQ_ERR_SUM			// チェックサム異常
	};
	enum
	{
		FRAME_DELIMITER = 0x7e,	// フレームデリミタ
		ESCAPE 			= 0x7d,	// エスケープ
		XON 			= 0x11,	// XON
		XOFF 			= 0x13,	// XOFF
		ESCAPE_XOR 		= 0x20,	// エスケープデータ(XOR値)
		CHECKSUM_CONST 	= 0xFF	// チェックサム固定値
	};
	
	XBeeAPIRxFrame( void );		// コンストラクタ
	~XBeeAPIRxFrame( void );	// デストラクタ
	
	void init( void );			// 初期化処理
	
	u1 build( RingBuffer *buf );// フレーム構築
	
	inline XBeeRxFrame * get( void ) { return &m_frame; }	// フレームデータ取得
	inline u1 size( void ){ return m_length; }				// フレーム長取得
	
private:
	void set( u1 data );		// フレーム構築時データ格納処理
	
	u1	m_sequence;				// フレーム構築シーケンス
	u4	m_checksum;				// チェックサム値
	u1	m_length;				// フレーム長
	u1	m_datacount;			// データカウンタ
	XBeeRxFrame m_frame;		// フレームデータ
};
